Skip to main content
POST

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-api-version
string
default:2025-11-01
required

API version to be used. Format is in YYYY-MM-DD.

Example:

"2025-11-01"

Body

application/json

Request parameters to fetch beneficiary details for a user.

user_id
string
required

Unique identifier for the user, as provided by you during PPI user creation.

Required string length: 1 - 50
Example:

"USER827364"

bene_id
string
required

Unique identifier for the beneficiary, as provided by you during beneficiary creation.

Required string length: 1 - 50
Example:

"BENE28448"

bene_instrument_id
string

Unique identifier for the instrument, as provided by you during beneficiary creation. If not provided, all bene_instruments for the beneficiary will be returned.

Required string length: 1 - 50
Example:

"INST194947"

Response

Success response for fetching beneficiary details.

bene_id
string

Unique identifier for the beneficiary, as provided by you during beneficiary creation.

Example:

"BENE28448"

cf_bene_id
string

Cashfree-generated unique ID for the beneficiary.

Example:

"473974924929"

user_id
string

Unique identifier for the user, as provided by you during PPI user creation.

Example:

"USER827364"

bene_first_name
string

First name of the beneficiary.

Example:

"John"

bene_last_name
string

Last name of the beneficiary.

Example:

"Doe"

status
string

Status of the beneficiary.

Example:

"ACTIVE"

bene_instruments
(Bank Account · object | VPA · object)[]

List of payment bene_instruments for the beneficiary.

bene_contact_details
object

Contact details of the beneficiary. Only not null fields will be returned.

purpose
string
Example:

"Family"

notes
object

Optional key-value pairs for any extra information. Keys and values must be strings. The following constraints apply:

  • Maximum 10 entries.
  • Keys: maximum 50 characters. Alphanumeric characters, underscores (_), periods (.), commas (,), single quotes ('), ampersands (&), hyphens (-), and spaces are allowed.
  • Values: maximum 200 characters. Same character set as keys.